import Vue from 'vue'
import store from './store'
import App from './App'
import config from '@/config/config';

import $request from './utils/request/index';
import $router from './router/index';

Vue.prototype.$request = $request;
Vue.prototype.$router = $router;

// 为了方便每次上传的时候忘记修改上面的参数
uni.getSystemInfo({
	success(res) {
		config.install(res);
	}
});


// 平台号
// #ifdef APP-PLUS
Vue.prototype.$platform = 'APP-PLUS';
// #endif
// #ifdef H5
Vue.prototype.$platform = 'H5';
// #endif
// #ifdef MP-WEIXIN
Vue.prototype.$platform = 'MP-WEIXIN';
// #endif
// #ifdef MP-ALIPAY
Vue.prototype.$platform = 'MP-ALIPAY';
// #endif
// #ifdef MP-BAIDU
Vue.prototype.$platform = 'MP-BAIDU';
// #endif
// #ifdef MP-TOUTIAO
Vue.prototype.$platform = 'MP-TOUTIAO';
// #endif

Vue.prototype.$store = store;

App.mpType = 'app'

const app = new Vue({
	...App
})
app.$mount()
